# Class JSOFA.EulerAngles

java.lang.Object
org.jastronomy.jsofa.JSOFA.EulerAngles

Enclosing class:
  `JSOFA`

public static class JSOFA.EulerAngles extends Object
Euler Angles.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`theta`
2nd rotation: radians ccw around y
`double`
`z`
3rd rotation: radians cw around z
`double`
`zeta`
1st rotation: radians cw around z

## Constructor Summary

Constructors
Constructor
Description
`EulerAngles(double zeta, double z, double theta)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### zeta

public double zeta
1st rotation: radians cw around z

### z

public double z
3rd rotation: radians cw around z

### theta

public double theta
2nd rotation: radians ccw around y

## Constructor Details

### EulerAngles

public EulerAngles(double zeta, double z, double theta)